package com.aitrainer.api.repository

import com.aitrainer.api.model.CustomerExerciseDevice
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.data.jpa.repository.Query
import org.springframework.stereotype.Repository

@Repository
interface CustomerExerciseDeviceRepository: JpaRepository<CustomerExerciseDevice, Long> {
    @Query(" FROM CustomerExerciseDevice " +
            " WHERE customerId = :customerId"
    )
    fun findByCustomerId(customerId: Long): List<CustomerExerciseDevice>
}